Request the current signing key configuration
GET /api
Response
200 — The current signing key configuration
ExpireAfterDaysintegerIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PublicKeyHostingLocationenum
Allowed values:Internal,External.RevokeAfterDaysinteger
Example Response
{
"ExpireAfterDays": 0,
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"PublicKeyHostingLocation": "Internal",
"RevokeAfterDays": 0
}Set the signing key configuration
PUT /api
Request Body
ExpireAfterDaysinteger (required)
Minimum1. Maximum365.PublicKeyHostingLocationenum
Allowed values:Internal,External.RevokeAfterDaysinteger (required)
Minimum1. Maximum365.
Response
200 — The updated signing key configuration
ExpireAfterDaysintegerIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PublicKeyHostingLocationenum
Allowed values:Internal,External.RevokeAfterDaysinteger
Example Request
{
"ExpireAfterDays": 0,
"PublicKeyHostingLocation": "Internal",
"RevokeAfterDays": 0
}Example Response
{
"ExpireAfterDays": 0,
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"PublicKeyHostingLocation": "Internal",
"RevokeAfterDays": 0
}Create a new key that is pending activation
POST /api
Response
200 — Returns the Id of the generated signing key.
Idstring
Example Response
{
"Id": "string"
}Activate an existing pending signing key, making it the active signing key for the system
POST /api
Path Parameters
idstring (required)
Response
200 — Indicates the key was activated
Example Response
{}Validate that the public signing keys are valid and can be used to verify signatures. This is intended to be used as a health check for external key hosting, and will return an error if the keys are invalid or expired
POST /api
Request Body
IncludeExpiredKeysbooleanIssuerstring
Response
200 — Response to VerifySigningKeysCommandV1. An empty response indicates that the signing keys are valid and can be used to verify signatures. If the signing keys are invalid or expired, an error will be returned instead of this response.
Example Request
{
"IncludeExpiredKeys": true,
"Issuer": "string"
}Example Response
{}